Package com.independentsoft.office.word.sections

# Class Section

java.lang.Object
com.independentsoft.office.word.sections.Section

public class Section extends Object
The Class Section.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Section()`
  Instantiates a new section.
  `Section​(InternalXMLStreamReader reader)`
  Instantiates a new section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Section`
  `clone()`
  `String`
  `getAdditionRevisionID()`
  Gets the addition revision id.
  `ExtendedBoolean`
  `getAllowOnlyFormFieldsEditing()`
  Gets the allow only form fields editing.
  `ColumnDefinitions`
  `getColumns()`
  Gets the columns.
  `String`
  `getDeletionRevisionID()`
  Gets the deletion revision id.
  `SectionEndnoteProperties`
  `getEndnoteProperties()`
  Gets the endnote properties.
  `Footer`
  `getEvenPageFooter()`
  Gets the even page footer.
  `Header`
  `getEvenPageHeader()`
  Gets the even page header.
  `Footer`
  `getFirstPageFooter()`
  Gets the first page footer.
  `Header`
  `getFirstPageHeader()`
  Gets the first page header.
  `ExtendedBoolean`
  `getFirstPageHeadersAndFooters()`
  Gets the first page headers and footers.
  `Footer`
  `getFooter()`
  Gets the footer.
  `FooterReference`
  `getFooterReference()`
  Gets the footer reference.
  `SectionFootnoteProperties`
  `getFootnoteProperties()`
  Gets the footnote properties.
  `DocumentGrid`
  `getGrid()`
  Gets the grid.
  `Header`
  `getHeader()`
  Gets the header.
  `HeaderReference`
  `getHeaderReference()`
  Gets the header reference.
  `LineNumberingSettings`
  `getLineNumberingSettings()`
  Gets the line numbering settings.
  `PageBorders`
  `getPageBorders()`
  Gets the page borders.
  `PageMargins`
  `getPageMargins()`
  Gets the page margins.
  `PageNumberingSettings`
  `getPageNumberingSettings()`
  Gets the page numbering settings.
  `PageSize`
  `getPageSize()`
  Gets the page size.
  `PaperSource`
  `getPaperSource()`
  Gets the paper source.
  `String`
  `getPhysicalCharacterRevisionID()`
  Gets the physical character revision id.
  `String`
  `getPropertiesRevisionID()`
  Gets the properties revision id.
  `SectionPropertiesRevision`
  `getRevision()`
  Gets the revision.
  `ExtendedBoolean`
  `getRightSideGutter()`
  Gets the right side gutter.
  `ExtendedBoolean`
  `getRightToLeft()`
  Gets the right to left.
  `ExtendedBoolean`
  `getSuppressEndnotes()`
  Gets the suppress endnotes.
  `TextDirection`
  `getTextDirection()`
  Gets the text direction.
  `SectionType`
  `getType()`
  Gets the type.
  `VerticalAlignmentType`
  `getVerticalAlignment()`
  Gets the vertical alignment.
  `void`
  `setAdditionRevisionID​(String additionRevisionID)`
  Sets the addition revision id.
  `void`
  `setAllowOnlyFormFieldsEditing​(ExtendedBoolean allowOnlyFormFieldsEditing)`
  Sets the allow only form fields editing.
  `void`
  `setColumns​(ColumnDefinitions columns)`
  Sets the columns.
  `void`
  `setDeletionRevisionID​(String deletionRevisionID)`
  Sets the deletion revision id.
  `void`
  `setEvenPageFooter​(Footer evenPageFooter)`
  Sets the even page footer.
  `void`
  `setEvenPageHeader​(Header evenPageHeader)`
  Sets the even page header.
  `void`
  `setFirstPageFooter​(Footer firstPageFooter)`
  Sets the first page footer.
  `void`
  `setFirstPageHeader​(Header firstPageHeader)`
  Sets the first page header.
  `void`
  `setFirstPageHeadersAndFooters​(ExtendedBoolean firstPageHeadersAndFooters)`
  Sets the first page headers and footers.
  `void`
  `setFooter​(Footer footer)`
  Sets the footer.
  `void`
  `setFooterReference​(FooterReference footerReference)`
  Sets the footer reference.
  `void`
  `setGrid​(DocumentGrid grid)`
  Sets the grid.
  `void`
  `setHeader​(Header header)`
  Sets the header.
  `void`
  `setHeaderReference​(HeaderReference headerReference)`
  Sets the header reference.
  `void`
  `setPageBorders​(PageBorders pageBorders)`
  Sets the page borders.
  `void`
  `setPageMargins​(PageMargins pageMargins)`
  Sets the page margins.
  `void`
  `setPageSize​(PageSize pageSize)`
  Sets the page size.
  `void`
  `setPaperSource​(PaperSource paperSource)`
  Sets the paper source.
  `void`
  `setPhysicalCharacterRevisionID​(String physicalCharacterRevisionID)`
  Sets the physical character revision id.
  `void`
  `setPropertiesRevisionID​(String propertiesRevisionID)`
  Sets the properties revision id.
  `void`
  `setRevision​(SectionPropertiesRevision revision)`
  Sets the revision.
  `void`
  `setRightSideGutter​(ExtendedBoolean rightSideGutter)`
  Sets the right side gutter.
  `void`
  `setRightToLeft​(ExtendedBoolean rightToLeft)`
  Sets the right to left.
  `void`
  `setSuppressEndnotes​(ExtendedBoolean suppressEndnotes)`
  Sets the suppress endnotes.
  `void`
  `setTextDirection​(TextDirection textDirection)`
  Sets the text direction.
  `void`
  `setType​(SectionType type)`
  Sets the type.
  `void`
  `setVerticalAlignment​(VerticalAlignmentType verticalAlignment)`
  Sets the vertical alignment.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Section

    public Section()
    Instantiates a new section.

  - ### Section

    public Section​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new section.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Section clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDeletionRevisionID

    public String getDeletionRevisionID()
    Gets the deletion revision id.
    Returns:
      the deletion revision id

  - ### setDeletionRevisionID

    public void setDeletionRevisionID​(String deletionRevisionID)
    Sets the deletion revision id.
    Parameters:
      `deletionRevisionID` - the new deletion revision id

  - ### getAdditionRevisionID

    public String getAdditionRevisionID()
    Gets the addition revision id.
    Returns:
      the addition revision id

  - ### setAdditionRevisionID

    public void setAdditionRevisionID​(String additionRevisionID)
    Sets the addition revision id.
    Parameters:
      `additionRevisionID` - the new addition revision id

  - ### getPhysicalCharacterRevisionID

    public String getPhysicalCharacterRevisionID()
    Gets the physical character revision id.
    Returns:
      the physical character revision id

  - ### setPhysicalCharacterRevisionID

    public void setPhysicalCharacterRevisionID​(String physicalCharacterRevisionID)
    Sets the physical character revision id.
    Parameters:
      `physicalCharacterRevisionID` - the new physical character revision id

  - ### getPropertiesRevisionID

    public String getPropertiesRevisionID()
    Gets the properties revision id.
    Returns:
      the properties revision id

  - ### setPropertiesRevisionID

    public void setPropertiesRevisionID​(String propertiesRevisionID)
    Sets the properties revision id.
    Parameters:
      `propertiesRevisionID` - the new properties revision id

  - ### getRightToLeft

    public ExtendedBoolean getRightToLeft()
    Gets the right to left.
    Returns:
      the right to left

  - ### setRightToLeft

    public void setRightToLeft​(ExtendedBoolean rightToLeft)
    Sets the right to left.
    Parameters:
      `rightToLeft` - the new right to left

  - ### getSuppressEndnotes

    public ExtendedBoolean getSuppressEndnotes()
    Gets the suppress endnotes.
    Returns:
      the suppress endnotes

  - ### setSuppressEndnotes

    public void setSuppressEndnotes​(ExtendedBoolean suppressEndnotes)
    Sets the suppress endnotes.
    Parameters:
      `suppressEndnotes` - the new suppress endnotes

  - ### getRightSideGutter

    public ExtendedBoolean getRightSideGutter()
    Gets the right side gutter.
    Returns:
      the right side gutter

  - ### setRightSideGutter

    public void setRightSideGutter​(ExtendedBoolean rightSideGutter)
    Sets the right side gutter.
    Parameters:
      `rightSideGutter` - the new right side gutter

  - ### getFirstPageHeadersAndFooters

    public ExtendedBoolean getFirstPageHeadersAndFooters()
    Gets the first page headers and footers.
    Returns:
      the first page headers and footers

  - ### setFirstPageHeadersAndFooters

    public void setFirstPageHeadersAndFooters​(ExtendedBoolean firstPageHeadersAndFooters)
    Sets the first page headers and footers.
    Parameters:
      `firstPageHeadersAndFooters` - the new first page headers and footers

  - ### getAllowOnlyFormFieldsEditing

    public ExtendedBoolean getAllowOnlyFormFieldsEditing()
    Gets the allow only form fields editing.
    Returns:
      the allow only form fields editing

  - ### setAllowOnlyFormFieldsEditing

    public void setAllowOnlyFormFieldsEditing​(ExtendedBoolean allowOnlyFormFieldsEditing)
    Sets the allow only form fields editing.
    Parameters:
      `allowOnlyFormFieldsEditing` - the new allow only form fields editing

  - ### getPageBorders

    public PageBorders getPageBorders()
    Gets the page borders.
    Returns:
      the page borders

  - ### setPageBorders

    public void setPageBorders​(PageBorders pageBorders)
    Sets the page borders.
    Parameters:
      `pageBorders` - the new page borders

  - ### getVerticalAlignment

    public VerticalAlignmentType getVerticalAlignment()
    Gets the vertical alignment.
    Returns:
      the vertical alignment

  - ### setVerticalAlignment

    public void setVerticalAlignment​(VerticalAlignmentType verticalAlignment)
    Sets the vertical alignment.
    Parameters:
      `verticalAlignment` - the new vertical alignment

  - ### getType

    public SectionType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(SectionType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getTextDirection

    public TextDirection getTextDirection()
    Gets the text direction.
    Returns:
      the text direction

  - ### setTextDirection

    public void setTextDirection​(TextDirection textDirection)
    Sets the text direction.
    Parameters:
      `textDirection` - the new text direction

  - ### getPageSize

    public PageSize getPageSize()
    Gets the page size.
    Returns:
      the page size

  - ### setPageSize

    public void setPageSize​(PageSize pageSize)
    Sets the page size.
    Parameters:
      `pageSize` - the new page size

  - ### getPageNumberingSettings

    public PageNumberingSettings getPageNumberingSettings()
    Gets the page numbering settings.
    Returns:
      the page numbering settings

  - ### getPageMargins

    public PageMargins getPageMargins()
    Gets the page margins.
    Returns:
      the page margins

  - ### setPageMargins

    public void setPageMargins​(PageMargins pageMargins)
    Sets the page margins.
    Parameters:
      `pageMargins` - the new page margins

  - ### getPaperSource

    public PaperSource getPaperSource()
    Gets the paper source.
    Returns:
      the paper source

  - ### setPaperSource

    public void setPaperSource​(PaperSource paperSource)
    Sets the paper source.
    Parameters:
      `paperSource` - the new paper source

  - ### getLineNumberingSettings

    public LineNumberingSettings getLineNumberingSettings()
    Gets the line numbering settings.
    Returns:
      the line numbering settings

  - ### getGrid

    public DocumentGrid getGrid()
    Gets the grid.
    Returns:
      the grid

  - ### setGrid

    public void setGrid​(DocumentGrid grid)
    Sets the grid.
    Parameters:
      `grid` - the new grid

  - ### getColumns

    public ColumnDefinitions getColumns()
    Gets the columns.
    Returns:
      the columns

  - ### setColumns

    public void setColumns​(ColumnDefinitions columns)
    Sets the columns.
    Parameters:
      `columns` - the new columns

  - ### getHeader

    public Header getHeader()
    Gets the header.
    Returns:
      the header

  - ### setHeader

    public void setHeader​(Header header)
    Sets the header.
    Parameters:
      `header` - the new header

  - ### getFirstPageHeader

    public Header getFirstPageHeader()
    Gets the first page header.
    Returns:
      the first page header

  - ### setFirstPageHeader

    public void setFirstPageHeader​(Header firstPageHeader)
    Sets the first page header.
    Parameters:
      `firstPageHeader` - the new first page header

  - ### getEvenPageHeader

    public Header getEvenPageHeader()
    Gets the even page header.
    Returns:
      the even page header

  - ### setEvenPageHeader

    public void setEvenPageHeader​(Header evenPageHeader)
    Sets the even page header.
    Parameters:
      `evenPageHeader` - the new even page header

  - ### getFooter

    public Footer getFooter()
    Gets the footer.
    Returns:
      the footer

  - ### setFooter

    public void setFooter​(Footer footer)
    Sets the footer.
    Parameters:
      `footer` - the new footer

  - ### getFirstPageFooter

    public Footer getFirstPageFooter()
    Gets the first page footer.
    Returns:
      the first page footer

  - ### setFirstPageFooter

    public void setFirstPageFooter​(Footer firstPageFooter)
    Sets the first page footer.
    Parameters:
      `firstPageFooter` - the new first page footer

  - ### getEvenPageFooter

    public Footer getEvenPageFooter()
    Gets the even page footer.
    Returns:
      the even page footer

  - ### setEvenPageFooter

    public void setEvenPageFooter​(Footer evenPageFooter)
    Sets the even page footer.
    Parameters:
      `evenPageFooter` - the new even page footer

  - ### getFooterReference

    public FooterReference getFooterReference()
    Gets the footer reference.
    Returns:
      the footer reference

  - ### setFooterReference

    public void setFooterReference​(FooterReference footerReference)
    Sets the footer reference.
    Parameters:
      `footerReference` - the new footer reference

  - ### getHeaderReference

    public HeaderReference getHeaderReference()
    Gets the header reference.
    Returns:
      the header reference

  - ### setHeaderReference

    public void setHeaderReference​(HeaderReference headerReference)
    Sets the header reference.
    Parameters:
      `headerReference` - the new header reference

  - ### getFootnoteProperties

    public SectionFootnoteProperties getFootnoteProperties()
    Gets the footnote properties.
    Returns:
      the footnote properties

  - ### getEndnoteProperties

    public SectionEndnoteProperties getEndnoteProperties()
    Gets the endnote properties.
    Returns:
      the endnote properties

  - ### getRevision

    public SectionPropertiesRevision getRevision()
    Gets the revision.
    Returns:
      the revision

  - ### setRevision

    public void setRevision​(SectionPropertiesRevision revision)
    Sets the revision.
    Parameters:
      `revision` - the new revision